Bug 893270 - CVE-2012-6096 nagios: stack-based buffer overflow in history.cgi [fedora-all]
CVE-2012-6096 nagios: stack-based buffer overflow in history.cgi [fedora-all]
Product: Fedora
Classification: Fedora
Component: nagios (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Keiran Smith
Jose Pedro Oliveira
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-6096
  Show dependency treegraph
Reported: 2013-01-08 20:53 EST by Vincent Danen
Modified: 2013-01-22 21:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-01-22 20:29:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-01-08 20:53:36 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2013-01-08 20:53:41 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
Comment 2 Jose Pedro Oliveira 2013-01-12 23:50:52 EST
 * Nagios Core 3.4.4 Released
   Saturday, 12 January 2013 07:53 

 * Nagios Core 3.x Version History

   3.4.4 - 01/12/2013

     Reenabled check for newer versions of Nagios Core (Mike Guthrie)
     Fixed bug #408: service checks get duplicated on reload (Eric Stanley)
     Fixed bug #401: segmentation fault on Solaris when parsing unknown timeperiod directives. (Eric Stanley)
     Added NULL pointer checks to CGI code. (Eric Stanley)
     Fixed buffer overflow vulnerability in CGI code. Thanks to Neohapsis (http://archives.neohapsis.com/archives/fulldisclosure/2012-1/0108.html) for finding this. (Eric Stanley)
Comment 3 Jose Pedro Oliveira 2013-01-12 23:54:31 EST
Rawhide build: nagios-3.4.4-1.fc19
Comment 4 Fedora Update System 2013-01-13 00:10:04 EST
nagios-3.4.4-1.fc18 has been submitted as an update for Fedora 18.
Comment 5 Fedora Update System 2013-01-13 09:13:01 EST
nagios-3.4.4-1.fc17 has been submitted as an update for Fedora 17.
Comment 6 Fedora Update System 2013-01-13 09:13:52 EST
nagios-3.4.4-1.fc16 has been submitted as an update for Fedora 16.
Comment 7 Fedora Update System 2013-01-13 23:01:16 EST
Package nagios-3.4.4-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nagios-3.4.4-1.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-01-22 20:29:38 EST
nagios-3.4.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-01-22 20:32:17 EST
nagios-3.4.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-01-22 21:02:55 EST
nagios-3.4.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.